diff --git a/compiler/nativeGen/SPARC/Regs.hs b/compiler/nativeGen/SPARC/Regs.hs
index 55b6ac9..b5db1c8 100644
--- a/compiler/nativeGen/SPARC/Regs.hs
+++ b/compiler/nativeGen/SPARC/Regs.hs
@@ -4,36 +4,30 @@
 -- 
 -- -----------------------------------------------------------------------------
 
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 module SPARC.Regs (
-	-- registers
-	showReg,
-	virtualRegSqueeze,
-	realRegSqueeze,
-	classOfRealReg,
-	allRealRegs,
-
-	-- machine specific info
-	gReg, iReg, lReg, oReg, fReg,
-	fp, sp, g0, g1, g2, o0, o1, f0, f1, f6, f8, f22, f26, f27,
-
-	-- allocatable
-	allocatableRegs,
-
-	-- args
-	argRegs, 
-	allArgRegs, 
-	callClobberedRegs,
-
-	-- 
-	mkVirtualReg,
-	regDotColor
+        -- registers
+        showReg,
+        virtualRegSqueeze,
+        realRegSqueeze,
+        classOfRealReg,
+        allRealRegs,
+
+        -- machine specific info
+        gReg, iReg, lReg, oReg, fReg,
+        fp, sp, g0, g1, g2, o0, o1, f0, f1, f6, f8, f22, f26, f27,
+
+        -- allocatable
+        allocatableRegs,
+
+        -- args
+        argRegs, 
+        allArgRegs, 
+        callClobberedRegs,
+
+        -- 
+        mkVirtualReg,
+        regDotColor
 )
 
 where
@@ -50,65 +44,65 @@ import FastTypes
 import FastBool
 
 {-
-	The SPARC has 64 registers of interest; 32 integer registers and 32
-	floating point registers.  The mapping of STG registers to SPARC
-	machine registers is defined in StgRegs.h.  We are, of course,
-	prepared for any eventuality.
-
-	The whole fp-register pairing thing on sparcs is a huge nuisance.  See
-	includes/stg/MachRegs.h for a description of what's going on
-	here.
+        The SPARC has 64 registers of interest; 32 integer registers and 32
+        floating point registers.  The mapping of STG registers to SPARC
+        machine registers is defined in StgRegs.h.  We are, of course,
+        prepared for any eventuality.
+
+        The whole fp-register pairing thing on sparcs is a huge nuisance.  See
+        includes/stg/MachRegs.h for a description of what's going on
+        here.
 -}
 
 
 -- | Get the standard name for the register with this number.
 showReg :: RegNo -> String
 showReg n
-	| n >= 0  && n < 8   = "%g" ++ show n
-	| n >= 8  && n < 16  = "%o" ++ show (n-8)
-	| n >= 16 && n < 24  = "%l" ++ show (n-16)
-	| n >= 24 && n < 32  = "%i" ++ show (n-24)
-	| n >= 32 && n < 64  = "%f" ++ show (n-32)
-	| otherwise          = panic "SPARC.Regs.showReg: unknown sparc register"
+        | n >= 0  && n < 8   = "%g" ++ show n
+        | n >= 8  && n < 16  = "%o" ++ show (n-8)
+        | n >= 16 && n < 24  = "%l" ++ show (n-16)
+        | n >= 24 && n < 32  = "%i" ++ show (n-24)
+        | n >= 32 && n < 64  = "%f" ++ show (n-32)
+        | otherwise          = panic "SPARC.Regs.showReg: unknown sparc register"
 
 
 -- Get the register class of a certain real reg
 classOfRealReg :: RealReg -> RegClass
 classOfRealReg reg
  = case reg of
- 	RealRegSingle i
-		| i < 32	-> RcInteger
-		| otherwise	-> RcFloat
-		
-	RealRegPair{}		-> RcDouble
+        RealRegSingle i
+                | i < 32        -> RcInteger
+                | otherwise     -> RcFloat
+                
+        RealRegPair{}           -> RcDouble
 
 
 -- | regSqueeze_class reg
---	Calculuate the maximum number of register colors that could be
---	denied to a node of this class due to having this reg 
---	as a neighbour.
+--      Calculuate the maximum number of register colors that could be
+--      denied to a node of this class due to having this reg 
+--      as a neighbour.
 --
 {-# INLINE virtualRegSqueeze #-}
 virtualRegSqueeze :: RegClass -> VirtualReg -> FastInt
 
 virtualRegSqueeze cls vr
  = case cls of
- 	RcInteger
-	 -> case vr of
-	 	VirtualRegI{}		-> _ILIT(1)
-		VirtualRegHi{}		-> _ILIT(1)
+        RcInteger
+         -> case vr of
+                VirtualRegI{}           -> _ILIT(1)
+                VirtualRegHi{}          -> _ILIT(1)
                 _other                  -> _ILIT(0)
 
-	RcFloat
-	 -> case vr of
-		VirtualRegF{}		-> _ILIT(1)
-		VirtualRegD{}		-> _ILIT(2)
+        RcFloat
+         -> case vr of
+                VirtualRegF{}           -> _ILIT(1)
+                VirtualRegD{}           -> _ILIT(2)
                 _other                  -> _ILIT(0)
 
-	RcDouble
-	 -> case vr of
-		VirtualRegF{}		-> _ILIT(1)
-		VirtualRegD{}		-> _ILIT(1)
+        RcDouble
+         -> case vr of
+                VirtualRegF{}           -> _ILIT(1)
+                VirtualRegD{}           -> _ILIT(1)
                 _other                  -> _ILIT(0)
 
         _other -> _ILIT(0)
@@ -118,48 +112,48 @@ realRegSqueeze :: RegClass -> RealReg -> FastInt
 
 realRegSqueeze cls rr
  = case cls of
- 	RcInteger
-	 -> case rr of
-	 	RealRegSingle regNo
-			| regNo	< 32	-> _ILIT(1)
-			| otherwise	-> _ILIT(0)
-			
-		RealRegPair{}		-> _ILIT(0)
-
-	RcFloat
-	 -> case rr of
-	 	RealRegSingle regNo
-			| regNo	< 32	-> _ILIT(0)
-			| otherwise	-> _ILIT(1)
-			
-		RealRegPair{}		-> _ILIT(2)
-
-	RcDouble
-	 -> case rr of
-	 	RealRegSingle regNo
-			| regNo	< 32	-> _ILIT(0)
-			| otherwise	-> _ILIT(1)
-			
-		RealRegPair{}		-> _ILIT(1)
-	 		 	 	
+        RcInteger
+         -> case rr of
+                RealRegSingle regNo
+                        | regNo < 32    -> _ILIT(1)
+                        | otherwise     -> _ILIT(0)
+                        
+                RealRegPair{}           -> _ILIT(0)
+
+        RcFloat
+         -> case rr of
+                RealRegSingle regNo
+                        | regNo < 32    -> _ILIT(0)
+                        | otherwise     -> _ILIT(1)
+                        
+                RealRegPair{}           -> _ILIT(2)
+
+        RcDouble
+         -> case rr of
+                RealRegSingle regNo
+                        | regNo < 32    -> _ILIT(0)
+                        | otherwise     -> _ILIT(1)
+                        
+                RealRegPair{}           -> _ILIT(1)
+                                        
         _other -> _ILIT(0)
- 	
+        
 -- | All the allocatable registers in the machine, 
---	including register pairs.
+--      including register pairs.
 allRealRegs :: [RealReg]
 allRealRegs  
-	=  [ (RealRegSingle i)		| i <- [0..63] ]
-	++ [ (RealRegPair   i (i+1))	| i <- [32, 34 .. 62 ] ]
+        =  [ (RealRegSingle i)          | i <- [0..63] ]
+        ++ [ (RealRegPair   i (i+1))    | i <- [32, 34 .. 62 ] ]
 
 
 -- | Get the regno for this sort of reg
 gReg, lReg, iReg, oReg, fReg :: Int -> RegNo
 
-gReg x	= x		-- global regs
-oReg x	= (8 + x)	-- output regs
-lReg x	= (16 + x)	-- local regs
-iReg x	= (24 + x)	-- input regs
-fReg x	= (32 + x)	-- float regs
+gReg x  = x             -- global regs
+oReg x  = (8 + x)       -- output regs
+lReg x  = (16 + x)      -- local regs
+iReg x  = (24 + x)      -- input regs
+fReg x  = (32 + x)      -- float regs
 
 
 -- | Some specific regs used by the code generator.
@@ -188,87 +182,87 @@ f1  = RegReal (RealRegSingle (fReg 1))
 {-
 fPair :: Reg -> Maybe Reg
 fPair (RealReg n) 
-	| n >= 32 && n `mod` 2 == 0  = Just (RealReg (n+1))
+        | n >= 32 && n `mod` 2 == 0  = Just (RealReg (n+1))
 
 fPair (VirtualRegD u)
-	= Just (VirtualRegHi u)
+        = Just (VirtualRegHi u)
 
 fPair reg
-	= trace ("MachInstrs.fPair: can't get high half of supposed double reg " ++ showPpr reg)
-		Nothing
+        = trace ("MachInstrs.fPair: can't get high half of supposed double reg " ++ showPpr reg)
+                Nothing
 -}
 
 
 -- | All the regs that the register allocator can allocate to, 
---	with the the fixed use regs removed.
+--      with the the fixed use regs removed.
 -- 
 allocatableRegs :: [RealReg]
 allocatableRegs
    = let isFree rr 
-   	   = case rr of
-	   	RealRegSingle r		
-			-> isFastTrue (freeReg r)
+           = case rr of
+                RealRegSingle r         
+                        -> isFastTrue (freeReg r)
 
-		RealRegPair   r1 r2	
-			-> isFastTrue (freeReg r1) 
-			&& isFastTrue (freeReg r2)
+                RealRegPair   r1 r2     
+                        -> isFastTrue (freeReg r1) 
+                        && isFastTrue (freeReg r2)
 
-     in	filter isFree allRealRegs
+     in filter isFree allRealRegs
 
 
 -- | The registers to place arguments for function calls, 
---	for some number of arguments.
+--      for some number of arguments.
 --
 argRegs :: RegNo -> [Reg]
 argRegs r
  = case r of
- 	0	-> []
-	1	-> map (RegReal . RealRegSingle . oReg) [0]
-	2	-> map (RegReal . RealRegSingle . oReg) [0,1]
-	3	-> map (RegReal . RealRegSingle . oReg) [0,1,2]
-	4	-> map (RegReal . RealRegSingle . oReg) [0,1,2,3]
-	5	-> map (RegReal . RealRegSingle . oReg) [0,1,2,3,4]
-	6	-> map (RegReal . RealRegSingle . oReg) [0,1,2,3,4,5]
-	_	-> panic "MachRegs.argRegs(sparc): don't know about >6 arguments!"
+        0       -> []
+        1       -> map (RegReal . RealRegSingle . oReg) [0]
+        2       -> map (RegReal . RealRegSingle . oReg) [0,1]
+        3       -> map (RegReal . RealRegSingle . oReg) [0,1,2]
+        4       -> map (RegReal . RealRegSingle . oReg) [0,1,2,3]
+        5       -> map (RegReal . RealRegSingle . oReg) [0,1,2,3,4]
+        6       -> map (RegReal . RealRegSingle . oReg) [0,1,2,3,4,5]
+        _       -> panic "MachRegs.argRegs(sparc): don't know about >6 arguments!"
 
 
 -- | All all the regs that could possibly be returned by argRegs
 --
 allArgRegs :: [Reg]
 allArgRegs 
-	= map (RegReal . RealRegSingle) [oReg i | i <- [0..5]]
+        = map (RegReal . RealRegSingle) [oReg i | i <- [0..5]]
 
 
 -- These are the regs that we cannot assume stay alive over a C call.  
---	TODO: Why can we assume that o6 isn't clobbered? -- BL 2009/02
+--      TODO: Why can we assume that o6 isn't clobbered? -- BL 2009/02
 --
 callClobberedRegs :: [Reg]
 callClobberedRegs
-	= map (RegReal . RealRegSingle)
-	        (  oReg 7 :
-	          [oReg i | i <- [0..5]] ++
-	          [gReg i | i <- [1..7]] ++
-	          [fReg i | i <- [0..31]] )
+        = map (RegReal . RealRegSingle)
+                (  oReg 7 :
+                  [oReg i | i <- [0..5]] ++
+                  [gReg i | i <- [1..7]] ++
+                  [fReg i | i <- [0..31]] )
 
 
 
 -- | Make a virtual reg with this size.
 mkVirtualReg :: Unique -> Size -> VirtualReg
 mkVirtualReg u size
-	| not (isFloatSize size) 
-	= VirtualRegI u
+        | not (isFloatSize size) 
+        = VirtualRegI u
 
-	| otherwise
-	= case size of
-		FF32    -> VirtualRegF u
-		FF64	-> VirtualRegD u
-		_ 	-> panic "mkVReg"
+        | otherwise
+        = case size of
+                FF32    -> VirtualRegF u
+                FF64    -> VirtualRegD u
+                _       -> panic "mkVReg"
 
 
 regDotColor :: RealReg -> SDoc
 regDotColor reg
  = case classOfRealReg reg of
- 	RcInteger	-> text "blue"
-	RcFloat		-> text "red"
-	_other          -> text "green"
+        RcInteger       -> text "blue"
+        RcFloat         -> text "red"
+        _other          -> text "green"
 
diff --git a/compiler/nativeGen/SPARC/ShortcutJump.hs b/compiler/nativeGen/SPARC/ShortcutJump.hs
index 7f978c1..edaf58b 100644
--- a/compiler/nativeGen/SPARC/ShortcutJump.hs
+++ b/compiler/nativeGen/SPARC/ShortcutJump.hs
@@ -1,17 +1,11 @@
 
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 module SPARC.ShortcutJump (
-	JumpDest(..), getJumpDestBlockId,
-	canShortcut,
-	shortcutJump,
-	shortcutStatics,
-	shortBlockId
+        JumpDest(..), getJumpDestBlockId,
+        canShortcut,
+        shortcutJump,
+        shortcutStatics,
+        shortBlockId
 )
 
 where
@@ -29,8 +23,8 @@ import Unique
 
 
 data JumpDest 
-	= DestBlockId BlockId 
-	| DestImm Imm
+        = DestBlockId BlockId 
+        | DestImm Imm
 
 getJumpDestBlockId :: JumpDest -> Maybe BlockId
 getJumpDestBlockId (DestBlockId bid) = Just bid
@@ -59,9 +53,9 @@ shortcutLabel fn lab
 
 shortcutStatic :: (BlockId -> Maybe JumpDest) -> CmmStatic -> CmmStatic
 shortcutStatic fn (CmmStaticLit (CmmLabel lab))
-	= CmmStaticLit (CmmLabel (shortcutLabel fn lab))
+        = CmmStaticLit (CmmLabel (shortcutLabel fn lab))
 shortcutStatic fn (CmmStaticLit (CmmLabelDiffOff lbl1 lbl2 off))
-	= CmmStaticLit (CmmLabelDiffOff (shortcutLabel fn lbl1) lbl2 off)
+        = CmmStaticLit (CmmLabelDiffOff (shortcutLabel fn lbl1) lbl2 off)
 -- slightly dodgy, we're ignoring the second label, but this
 -- works with the way we use CmmLabelDiffOff for jump tables now.
 shortcutStatic _ other_static
diff --git a/compiler/nativeGen/SPARC/Stack.hs b/compiler/nativeGen/SPARC/Stack.hs
index 4a6f4c1..03b4a4c 100644
--- a/compiler/nativeGen/SPARC/Stack.hs
+++ b/compiler/nativeGen/SPARC/Stack.hs
@@ -1,16 +1,10 @@
 
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 module SPARC.Stack (
-	spRel,
-	fpRel,
-	spillSlotToOffset,
-	maxSpillSlots
+        spRel,
+        fpRel,
+        spillSlotToOffset,
+        maxSpillSlots
 )
 
 where
@@ -24,43 +18,43 @@ import DynFlags
 import Outputable
 
 -- | Get an AddrMode relative to the address in sp.
---	This gives us a stack relative addressing mode for volatile
--- 	temporaries and for excess call arguments.  
+--      This gives us a stack relative addressing mode for volatile
+--      temporaries and for excess call arguments.  
 --
-spRel :: Int		-- ^ stack offset in words, positive or negative
+spRel :: Int            -- ^ stack offset in words, positive or negative
       -> AddrMode
 
-spRel n	= AddrRegImm sp (ImmInt (n * wordLength))
+spRel n = AddrRegImm sp (ImmInt (n * wordLength))
 
 
 -- | Get an address relative to the frame pointer.
---	This doesn't work work for offsets greater than 13 bits; we just hope for the best
+--      This doesn't work work for offsets greater than 13 bits; we just hope for the best
 --
 fpRel :: Int -> AddrMode
 fpRel n
-	= AddrRegImm fp (ImmInt (n * wordLength))
+        = AddrRegImm fp (ImmInt (n * wordLength))
 
 
 -- | Convert a spill slot number to a *byte* offset, with no sign.
 --
 spillSlotToOffset :: DynFlags -> Int -> Int
 spillSlotToOffset dflags slot
-	| slot >= 0 && slot < maxSpillSlots dflags
-	= 64 + spillSlotSize * slot
+        | slot >= 0 && slot < maxSpillSlots dflags
+        = 64 + spillSlotSize * slot
 
-	| otherwise
-	= pprPanic "spillSlotToOffset:" 
-	              (   text "invalid spill location: " <> int slot
-		      $$  text "maxSpillSlots:          " <> int (maxSpillSlots dflags))
+        | otherwise
+        = pprPanic "spillSlotToOffset:" 
+                      (   text "invalid spill location: " <> int slot
+                      $$  text "maxSpillSlots:          " <> int (maxSpillSlots dflags))
 
 
 -- | The maximum number of spill slots available on the C stack.
---	If we use up all of the slots, then we're screwed.
+--      If we use up all of the slots, then we're screwed.
 --
---	Why do we reserve 64 bytes, instead of using the whole thing??
---		-- BL 2009/02/15
+--      Why do we reserve 64 bytes, instead of using the whole thing??
+--              -- BL 2009/02/15
 --
 maxSpillSlots :: DynFlags -> Int
 maxSpillSlots dflags
-	= ((spillAreaLength dflags - 64) `div` spillSlotSize) - 1
+        = ((spillAreaLength dflags - 64) `div` spillSlotSize) - 1
 
diff --git a/compiler/nativeGen/Size.hs b/compiler/nativeGen/Size.hs
index 45a3964..39eb4f7 100644
--- a/compiler/nativeGen/Size.hs
+++ b/compiler/nativeGen/Size.hs
@@ -1,22 +1,16 @@
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 -- | Sizes on this architecture
--- 	A Size is a combination of width and class
+--      A Size is a combination of width and class
 -- 
--- 	TODO: 	Rename this to "Format" instead of "Size" to reflect
---		the fact that it represents floating point vs integer.
+--      TODO:   Rename this to "Format" instead of "Size" to reflect
+--              the fact that it represents floating point vs integer.
 --
---	TODO: 	Signed vs unsigned?
+--      TODO:   Signed vs unsigned?
 --
---	TODO:	This module is currenly shared by all architectures because
---		NCGMonad need to know about it to make a VReg. It would be better
---		to have architecture specific formats, and do the overloading
---		properly. eg SPARC doesn't care about FF80.
+--      TODO:   This module is currenly shared by all architectures because
+--              NCGMonad need to know about it to make a VReg. It would be better
+--              to have architecture specific formats, and do the overloading
+--              properly. eg SPARC doesn't care about FF80.
 --
 module Size (
     Size(..),
@@ -38,75 +32,75 @@ import Outputable
 -- without global consequences.
 --
 -- A major use is as an opcode qualifier; thus the opcode 
---	mov.l a b
+--      mov.l a b
 -- might be encoded 
--- 	MOV II32 a b
+--      MOV II32 a b
 -- where the Size field encodes the ".l" part.
 
 -- ToDo: it's not clear to me that we need separate signed-vs-unsigned sizes
--- 	  here.  I've removed them from the x86 version, we'll see what happens --SDM
+--        here.  I've removed them from the x86 version, we'll see what happens --SDM
 
 -- ToDo: quite a few occurrences of Size could usefully be replaced by Width
 
 data Size
-	= II8 
-	| II16 
-	| II32 
-	| II64 
-	| FF32 
-	| FF64 
-	| FF80
-	deriving (Show, Eq)
+        = II8 
+        | II16 
+        | II32 
+        | II64 
+        | FF32 
+        | FF64 
+        | FF80
+        deriving (Show, Eq)
 
 
 -- | Get the integer size of this width.
 intSize :: Width -> Size
 intSize width
  = case width of
- 	W8 	-> II8
-	W16	-> II16
-	W32	-> II32
-	W64 	-> II64
-	other	-> pprPanic "Size.intSize" (ppr other)
+        W8      -> II8
+        W16     -> II16
+        W32     -> II32
+        W64     -> II64
+        other   -> pprPanic "Size.intSize" (ppr other)
 
 
 -- | Get the float size of this width.
 floatSize :: Width -> Size
 floatSize width
  = case width of
- 	W32	-> FF32
-	W64	-> FF64
-	other 	-> pprPanic "Size.floatSize" (ppr other)
+        W32     -> FF32
+        W64     -> FF64
+        other   -> pprPanic "Size.floatSize" (ppr other)
 
 
 -- | Check if a size represents a floating point value.
 isFloatSize :: Size -> Bool
 isFloatSize size
  = case size of
- 	FF32	-> True
-	FF64	-> True
-	FF80	-> True
-	_	-> False
+        FF32    -> True
+        FF64    -> True
+        FF80    -> True
+        _       -> False
 
 
 -- | Convert a Cmm type to a Size.
 cmmTypeSize :: CmmType -> Size
 cmmTypeSize ty 
-	| isFloatType ty	= floatSize (typeWidth ty)
-	| otherwise		= intSize (typeWidth ty)
+        | isFloatType ty        = floatSize (typeWidth ty)
+        | otherwise             = intSize (typeWidth ty)
 
 
 -- | Get the Width of a Size.
 sizeToWidth :: Size -> Width
 sizeToWidth size
  = case size of
- 	II8		-> W8
-	II16		-> W16
-	II32		-> W32
-	II64		-> W64
-	FF32		-> W32
-	FF64		-> W64
-	FF80		-> W80
+        II8             -> W8
+        II16            -> W16
+        II32            -> W32
+        II64            -> W64
+        FF32            -> W32
+        FF64            -> W64
+        FF80            -> W80
 
 sizeInBytes :: Size -> Int
 sizeInBytes = widthInBytes . sizeToWidth
diff --git a/compiler/nativeGen/TargetReg.hs b/compiler/nativeGen/TargetReg.hs
index 09c774f..a79f67e 100644
--- a/compiler/nativeGen/TargetReg.hs
+++ b/compiler/nativeGen/TargetReg.hs
@@ -1,28 +1,22 @@
 
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 -- | Hard wired things related to registers.
---	This is module is preventing the native code generator being able to 
---	emit code for non-host architectures.
+--      This is module is preventing the native code generator being able to 
+--      emit code for non-host architectures.
 --
---	TODO: Do a better job of the overloading, and eliminate this module.
---	We'd probably do better with a Register type class, and hook this to 
---	Instruction somehow.
+--      TODO: Do a better job of the overloading, and eliminate this module.
+--      We'd probably do better with a Register type class, and hook this to 
+--      Instruction somehow.
 --
---	TODO: We should also make arch specific versions of RegAlloc.Graph.TrivColorable
+--      TODO: We should also make arch specific versions of RegAlloc.Graph.TrivColorable
 
 module TargetReg (
-	targetVirtualRegSqueeze,
-	targetRealRegSqueeze,
-	targetClassOfRealReg,
-	targetMkVirtualReg,
-	targetRegDotColor,
-	targetClassOfReg
+        targetVirtualRegSqueeze,
+        targetRealRegSqueeze,
+        targetClassOfRealReg,
+        targetMkVirtualReg,
+        targetRegDotColor,
+        targetClassOfReg
 )
 
 where
diff --git a/compiler/nativeGen/X86/RegInfo.hs b/compiler/nativeGen/X86/RegInfo.hs
index 8c63933..e4483fc 100644
--- a/compiler/nativeGen/X86/RegInfo.hs
+++ b/compiler/nativeGen/X86/RegInfo.hs
@@ -1,14 +1,8 @@
 
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 module X86.RegInfo (
-	mkVirtualReg,
-	regDotColor
+        mkVirtualReg,
+        regDotColor
 )
 
 where
@@ -30,9 +24,9 @@ import X86.Regs
 mkVirtualReg :: Unique -> Size -> VirtualReg
 mkVirtualReg u size
    = case size of
-        FF32	-> VirtualRegSSE u
-        FF64	-> VirtualRegSSE u
-        FF80	-> VirtualRegD   u
+        FF32    -> VirtualRegSSE u
+        FF64    -> VirtualRegSSE u
+        FF80    -> VirtualRegD   u
         _other  -> VirtualRegI   u
 
 regDotColor :: Platform -> RealReg -> SDoc
@@ -65,11 +59,11 @@ normalRegColors platform
 fpRegColors :: [(Reg,String)]
 fpRegColors =
         [ (fake0, "#ff00ff")
-	, (fake1, "#ff00aa")
-	, (fake2, "#aa00ff")
-	, (fake3, "#aa00aa")
-	, (fake4, "#ff0055")
-	, (fake5, "#5500ff") ]
+        , (fake1, "#ff00aa")
+        , (fake2, "#aa00ff")
+        , (fake3, "#aa00aa")
+        , (fake4, "#ff0055")
+        , (fake5, "#5500ff") ]
 
-	++ zip (map regSingle [24..39]) (repeat "red")
+        ++ zip (map regSingle [24..39]) (repeat "red")
 
diff --git a/compiler/parser/Ctype.lhs b/compiler/parser/Ctype.lhs
index b5173b2..f004d63 100644
--- a/compiler/parser/Ctype.lhs
+++ b/compiler/parser/Ctype.lhs
@@ -1,32 +1,26 @@
 Character classification
 
 \begin{code}
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 module Ctype
-	( is_ident	-- Char# -> Bool
-	, is_symbol	-- Char# -> Bool
-	, is_any	-- Char# -> Bool
-	, is_space	-- Char# -> Bool
-	, is_lower	-- Char# -> Bool
-	, is_upper	-- Char# -> Bool
-	, is_digit	-- Char# -> Bool
-	, is_alphanum   -- Char# -> Bool
-
-	, is_decdigit, is_hexdigit, is_octdigit
-	, hexDigit, octDecDigit
-	) where
+        ( is_ident      -- Char# -> Bool
+        , is_symbol     -- Char# -> Bool
+        , is_any        -- Char# -> Bool
+        , is_space      -- Char# -> Bool
+        , is_lower      -- Char# -> Bool
+        , is_upper      -- Char# -> Bool
+        , is_digit      -- Char# -> Bool
+        , is_alphanum   -- Char# -> Bool
+
+        , is_decdigit, is_hexdigit, is_octdigit
+        , hexDigit, octDecDigit
+        ) where
 
 #include "HsVersions.h"
 
-import Data.Int		( Int32 )
-import Data.Bits	( Bits((.&.)) )
-import Data.Char	( ord, chr )
+import Data.Int         ( Int32 )
+import Data.Bits        ( Bits((.&.)) )
+import Data.Char        ( ord, chr )
 import Panic
 \end{code}
 
@@ -75,13 +69,13 @@ octDecDigit c = ord c - ord '0'
 
 is_decdigit :: Char -> Bool
 is_decdigit c
-	=  c >= '0' && c <= '9'
+        =  c >= '0' && c <= '9'
 
 is_hexdigit :: Char -> Bool
 is_hexdigit c
-	=  is_decdigit c 
-	|| (c >= 'a' && c <= 'f')
-	|| (c >= 'A' && c <= 'F')
+        =  is_decdigit c 
+        || (c >= 'a' && c <= 'f')
+        || (c >= 'A' && c <= 'F')
 
 is_octdigit :: Char -> Bool
 is_octdigit c = c >= '0' && c <= '7'
@@ -108,7 +102,7 @@ charType c = case c of
    '\7'   -> 0                         -- \007
    '\8'   -> 0                         -- \010
    '\9'   -> cSpace                    -- \t  (not allowed in strings, so !cAny)
-   '\10'  -> cSpace	               -- \n  (ditto)
+   '\10'  -> cSpace                    -- \n  (ditto)
    '\11'  -> cSpace                    -- \v  (ditto)
    '\12'  -> cSpace                    -- \f  (ditto)
    '\13'  -> cSpace                    --  ^M (ditto)
diff --git a/compiler/prelude/PrelInfo.lhs b/compiler/prelude/PrelInfo.lhs
index bfcea1c..348c359 100644
--- a/compiler/prelude/PrelInfo.lhs
+++ b/compiler/prelude/PrelInfo.lhs
@@ -4,12 +4,6 @@
 \section[PrelInfo]{The @PrelInfo@ interface to the compiler's prelude knowledge}
 
 \begin{code}
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 module PrelInfo (
         wiredInIds, ghcPrimIds,
@@ -48,9 +42,9 @@ import Data.Array
 \end{code}
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection[builtinNameInfo]{Lookup built-in names}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 Notes about wired in things
@@ -59,7 +53,7 @@ Notes about wired in things
   They are global values in GHC, (e.g.  listTyCon :: TyCon).
 
 * A wired in Name contains the thing itself inside the Name: 
-	see Name.wiredInNameTyThing_maybe
+        see Name.wiredInNameTyThing_maybe
   (E.g. listTyConName contains listTyCon. 
 
 * The name cache is initialised with (the names of) all wired-in things
@@ -77,17 +71,17 @@ wiredInThings :: [TyThing]
 -- This list is used only to initialise HscMain.knownKeyNames
 -- to ensure that when you say "Prelude.map" in your source code, you
 -- get a Name with the correct known key (See Note [Known-key names])
-wiredInThings		
+wiredInThings           
   = concat
-    [		-- Wired in TyCons and their implicit Ids
-	  tycon_things
-	, concatMap implicitTyThings tycon_things
+    [           -- Wired in TyCons and their implicit Ids
+          tycon_things
+        , concatMap implicitTyThings tycon_things
 
-		-- Wired in Ids
-	, map AnId wiredInIds
+                -- Wired in Ids
+        , map AnId wiredInIds
 
-		-- PrimOps
-	, map (AnId . primOpId) allThePrimOps
+                -- PrimOps
+        , map (AnId . primOpId) allThePrimOps
     ]
   where
     tycon_things = map ATyCon ([funTyCon] ++ primTyCons ++ wiredInTyCons
@@ -99,16 +93,16 @@ sense of them in interface pragmas. It's cool, though they all have
 "non-standard" names, so they won't get past the parser in user code.
 
 %************************************************************************
-%*									*
-		PrimOpIds
-%*									*
+%*                                                                      *
+                PrimOpIds
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
-primOpIds :: Array Int Id	
+primOpIds :: Array Int Id       
 -- A cache of the PrimOp Ids, indexed by PrimOp tag
 primOpIds = array (1,maxPrimOpTag) [ (primOpTag op, mkPrimOpId op) 
-				   | op <- allThePrimOps ]
+                                   | op <- allThePrimOps ]
 
 primOpId :: PrimOp -> Id
 primOpId op = primOpIds ! primOpTag op
@@ -116,9 +110,9 @@ primOpId op = primOpIds ! primOpTag op
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Export lists for pseudo-modules (GHC.Prim)}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 GHC.Prim "exports" all the primops and primitive types, some 
@@ -135,9 +129,9 @@ ghcPrimExports
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Built-in keys}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 ToDo: make it do the ``like'' part properly (as in 0.26 and before).
@@ -150,9 +144,9 @@ maybeIntLikeCon  con = con `hasKey` intDataConKey
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Class predicates}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
